# file: Makefile

# 'make' description file for compiling WFDB_tools functions under Linux/Unix
#
# Please read the README file in this directory before attempting to compile
# these wrappers!

CFILES = WFDB_adumuv.c WFDB_aduphys.c WFDB_anndesc.c WFDB_annopen.c \
 WFDB_annstr.c WFDB_datstr.c WFDB_ecgstr.c WFDB_getann.c WFDB_getbasecount.c \
 WFDB_getcfreq.c WFDB_getframe.c WFDB_getifreq.c WFDB_getinfo.c WFDB_getspf.c \
 WFDB_getvec.c WFDB_getwfdb.c WFDB_iannclose.c WFDB_iannsettime.c \
 WFDB_isgsettime.c WFDB_isigopen.c WFDB_isigsettime.c WFDB_mstimstr.c \
 WFDB_muvadu.c WFDB_newheader.c WFDB_oannclose.c WFDB_osigfopen.c \
 WFDB_osigopen.c WFDB_physadu.c WFDB_putann.c WFDB_putinfo.c WFDB_putvec.c \
 WFDB_sampfreq.c WFDB_setbasecount.c WFDB_setbasetime.c WFDB_setcfreq.c \
 WFDB_setgvmode.c WFDB_setheader.c WFDB_setifreq.c WFDB_setsampfreq.c \
 WFDB_strann.c WFDB_strdat.c WFDB_strecg.c WFDB_strtim.c WFDB_timstr.c \
 WFDB_wfdberror.c WFDB_wfdbfile.c WFDB_wfdbflush.c WFDB_wfdbgetskew.c \
 WFDB_wfdbgetstart.c WFDB_wfdbquiet.c WFDB_wfdbquit.c WFDB_wfdbsetskew.c \
 WFDB_wfdbsetstart.c WFDB_wfdbverbose.c

MEXGLXFILES = WFDB_adumuv.mexglx WFDB_aduphys.mexglx WFDB_anndesc.mexglx \
 WFDB_annopen.mexglx WFDB_annstr.mexglx WFDB_datstr.mexglx WFDB_ecgstr.mexglx \
 WFDB_getann.mexglx WFDB_getbasecount.mexglx WFDB_getcfreq.mexglx \
 WFDB_getframe.mexglx WFDB_getifreq.mexglx WFDB_getinfo.mexglx \
 WFDB_getspf.mexglx WFDB_getvec.mexglx WFDB_getwfdb.mexglx \
 WFDB_iannclose.mexglx WFDB_iannsettime.mexglx WFDB_isgsettime.mexglx \
 WFDB_isigopen.mexglx WFDB_isigsettime.mexglx WFDB_mstimstr.mexglx \
 WFDB_muvadu.mexglx WFDB_newheader.mexglx WFDB_oannclose.mexglx \
 WFDB_osigfopen.mexglx WFDB_osigopen.mexglx WFDB_physadu.mexglx \
 WFDB_putann.mexglx WFDB_putinfo.mexglx WFDB_putvec.mexglx \
 WFDB_sampfreq.mexglx WFDB_setbasecount.mexglx WFDB_setbasetime.mexglx \
 WFDB_setcfreq.mexglx WFDB_setgvmode.mexglx WFDB_setheader.mexglx \
 WFDB_setifreq.mexglx WFDB_setsampfreq.mexglx WFDB_strann.mexglx \
 WFDB_strdat.mexglx WFDB_strecg.mexglx WFDB_strtim.mexglx WFDB_timstr.mexglx \
 WFDB_wfdberror.mexglx WFDB_wfdbfile.mexglx WFDB_wfdbflush.mexglx \
 WFDB_wfdbgetskew.mexglx WFDB_wfdbgetstart.mexglx WFDB_wfdbquiet.mexglx \
 WFDB_wfdbquit.mexglx WFDB_wfdbsetskew.mexglx WFDB_wfdbsetstart.mexglx \
 WFDB_wfdbverbose.mexglx

.SUFFIXES: .mexglx

# General rule for compiling C sources into mexglx files, linking them with
# the WFDB library (which must have been installed first!)
.c.mexglx:
	mex $< -lwfdb

# 'make' or 'make all':  compile all of the wrappers
all:	$(MEXGLXFILES)

# 'make tarball':  create a tar archive of this package
tarball:
	cd ../..; tar cfvz WFDB_tools.tar.gz WFDB_tools

# 'make clean':  remove old versions of files
clean:
	rm -f *~
